<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="DialogWindowTransparent" parent="android:style/Theme.Dialog">
        <item name="android:background">@android:color/transparent</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowFrame">@null</item>
    </style>

    <style name="GhAlertDialog" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="android:textSize">17sp</item>
        <!--<item name = "android:textStyle">bold</item>-->
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="popwindow_option_anim_style">
        <item name="android:windowEnterAnimation">@anim/popwindow_option_anim_enter</item>
        <item name="android:windowExitAnimation">@anim/popwindow_option_anim_exit</item>
    </style>

    <!-- fresco xml配置-->
    <style name="frescoStyle">
        <item name="placeholderImage">@drawable/occupy</item>
        <item name="placeholderImageScaleType">fitXY</item>
        <item name="fadeDuration">500</item>
        <!--<item name="backgroundImage">@color/placeholder_bg</item>-->
    </style>

    <style name="frescoCircleStyle">
        <item name="placeholderImage">@drawable/occupy</item>
        <item name="placeholderImageScaleType">fitXY</item>
        <item name="fadeDuration">500</item>
        <item name="roundAsCircle">true</item>
    </style>

    <style name="toolbar_title">
        <item name="android:gravity">center</item>
        <item name="android:singleLine">true</item>
        <item name="android:textColor">@color/text_title</item>
        <item name="android:textSize">@dimen/secondary_title_text_size</item>
        <item name="android:textStyle">bold</item>
        <item name="android:ellipsize">end</item>
    </style>

    <style name="Base_ToolbarStyle">
        <item name="android:layout_height">@dimen/appbar_height</item>
        <item name="android:layout_width">match_parent</item>
        <item name="popupTheme">@style/ThemeOverlay.AppCompat.Light</item>
        <item name="android:background">@android:color/white</item>
        <item name="android:theme">@style/Base_ToolbarTheme</item>
        <item name="titleTextAppearance">@style/CustomTitleTextAppearance</item>
        <item name="subtitleTextAppearance">@style/CustomSubTitleTextAppearance</item>
        <item name="android:homeAsUpIndicator">@drawable/ic_bar_back</item>
        <item name="toolbarNavigationButtonStyle">@style/ToolbarNavigationButtonStyle</item>
        <!--<item name = "titleMarginStart" >-10dp</item >-->
    </style>

    <style name="Base_ToolbarTheme">
        <!-- Color used for the title of the Toolbar - as long as not overridden -->
        <!--<item name="android:textColorPrimary">@color/pink_500_primary</item>-->
        <!-- Used to color back button and three dots -->
        <!--<item name="android:textColorSecondary">@color/yellow_500_primary</item>-->
    </style>

    <style name="CustomTitleTextAppearance" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <!--<item name="android:fontFamily">@string/ff_roboto_condensed</item>-->
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@android:color/white</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="CustomSubTitleTextAppearance" parent="TextAppearance.Widget.AppCompat.Toolbar.Subtitle">
        <!--<item name="android:fontFamily">@string/ff_roboto_condensed</item>-->
        <item name="android:textSize">14sp</item>
        <!--<item name="android:textColor">@color/pink_500_primary</item>-->
        <item name="android:textStyle">italic</item>
    </style>

    <style name="TabLayoutTextAppearance" parent="TextAppearance.AppCompat.Widget.ActionBar.Title">
        <item name="android:textSize">14sp</item>
        <item name="android:textColor">@color/text_tabbar_style</item>
        <item name="android:textStyle">bold</item>
        <item name="tabIndicatorHeight">0dp</item>
        <item name="tabMode">fixed</item>
    </style>

    <style name="community_publication_animation">
        <item name="android:windowEnterAnimation">@anim/community_publication_enter</item>
        <!-- 指定显示的动画xml -->

        <item name="android:windowExitAnimation">@anim/community_publication_exit</item>
        <!-- 指定消失的动画xml -->
    </style>

    <style name="DialogFragmentDimAmount" parent="DialogWindowTransparent">
        <item name="android:backgroundDimAmount">0.2</item>
    </style>

    <style name="popwindow_exit_only_anim_style">
        <item name="android:windowExitAnimation">@anim/pophidden_anim</item>
    </style>

    <!-- 主色渐变按钮 -->
    <style name="PrimaryGradientButton">
        <item name="android:background">@drawable/download_button_normal_style</item>
        <item name="android:textColor">@color/white</item>
    </style>
</resources>